import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_o_a_attachment_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_o_a_attachment_entity.g.dart';

@JsonSerializable()
class THOAAttachmentEntity {
	int total = 0;
	List<THOAAttachmentRows> rows = [];

	THOAAttachmentEntity();

	factory THOAAttachmentEntity.fromJson(Map<String, dynamic> json) => $THOAAttachmentEntityFromJson(json);

	Map<String, dynamic> toJson() => $THOAAttachmentEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THOAAttachmentRows {
	String? id;
	@JSONField(name: "att_url")
	String? attUrl;
	@JSONField(name: "created_at")
	String? createdAt;

	THOAAttachmentRows();

	factory THOAAttachmentRows.fromJson(Map<String, dynamic> json) => $THOAAttachmentRowsFromJson(json);

	Map<String, dynamic> toJson() => $THOAAttachmentRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}